DISPLAYINFEXPR(3)

NAME
displayInfExpr - displays an expression in infixed notation.

SYNOPSYS
#include "logmmm.h"
void displayInfExpr(expr)
chain_list *expr;

PARAMETER

expr
    Expression to display.

DESCRIPTION
displayInfExpr() displays on the screen expr in infixed notation.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(OR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
displayInfExpr(expr);
/* it will display
(a OR b)
*/
freeExpr(expr);

SEE ALSO
log(1), abl(1), displayExpr(3), exprToChar(3), charToOper(3), operToChar(3), identExpr(3).